Package com.castlabs.android.player.exceptions

# Class FilterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.castlabs.android.player.exceptions.CastlabsPlayerException
com.castlabs.android.player.exceptions.FilterException

All Implemented Interfaces:
  `Serializable`

public class FilterException extends CastlabsPlayerException
Exception that is raised when all track types of a particular type (e.g. `SdkConsts.VIDEO`, `SdkConsts.AUDIO`, `SdkConsts.TEXT`) are filtered out. The possible types of this exception are: `CastlabsPlayerException.TYPE_VIDEO_UNSUPPORTED`, `CastlabsPlayerException.TYPE_AUDIO_UNSUPPORTED` or `CastlabsPlayerException.TYPE_TEXT_UNSUPPORTED` with `CastlabsPlayerException.SEVERITY_WARNING`

Since:
  4.0.8
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.castlabs.android.player.exceptions.CastlabsPlayerException

  `CastlabsPlayerException.Severity, CastlabsPlayerException.Type`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `reason`
  Bit-set of `SdkConsts.FILTER_REASON_BLACKLISTED`, `SdkConsts.FILTER_REASON_NO_CODEC`, `SdkConsts.FILTER_REASON_HD_NOT_PERMITTED` and `SdkConsts.FILTER_REASON_EXCEED_MAX_PIXELS`

  ### Fields inherited from class com.castlabs.android.player.exceptions.CastlabsPlayerException

  `CODE, HTTP_CODE, MSG_MANIFEST_LOADING_FAILED, MSG_VIDEO_DECODER_INITIALIZATION, PLAYLIST_CURRENT_ITEM_INDEX, PLAYLIST_FAILED_ITEM, PLAYLIST_FAILED_ITEM_INDEX, PLAYLIST_SIZE, PLAYLIST_STATE, RESPONSE_BODY, SEVERITY, SEVERITY_ERROR, SEVERITY_INFO, SEVERITY_WARNING, TRACK_TYPE, TYPE_AD_ERROR, TYPE_AD_REQUEST_UNSUPPORTED, TYPE_API_MISMATCH, TYPE_AUDIO_DECODER_INITIALIZATION, TYPE_AUDIO_DECRYPTION_ERROR, TYPE_AUDIO_TRACK_INITIALIZATION, TYPE_AUDIO_UNSUPPORTED, TYPE_AUDIO_WRITE_ERROR, TYPE_BEHIND_LIVE_WINDOW, TYPE_CONNECTIVITY_GAINED_INFO, TYPE_CONNECTIVITY_LOST_ERROR, TYPE_CSL_LIMIT_REACHED, TYPE_CSL_NETWORK_ERROR, TYPE_DATA_DOWLOAD_ERROR, TYPE_DNS_SERVER_ERROR, TYPE_DOWNLOAD_ERROR, TYPE_DRM_EXCEPTION, TYPE_DRM_KEY_DOWNLOAD_ERROR, TYPE_DRM_PROVISION_ERROR, TYPE_DRMTODAY_EXCEPTION, TYPE_HDCP_CONNECTION_WARNING, TYPE_INVALID_PLAYER_LICENSE, TYPE_KEY_EXPIRED, TYPE_MANIFEST_INVALID, TYPE_MANIFEST_LOADING_FAILED, TYPE_MANIFEST_PARSING_FAILED, TYPE_NO_PLAYABLE_CONTENT, TYPE_NO_RENDERER_FOUND, TYPE_PLAYBACK_ERROR, TYPE_PLAYLIST_ITEM_PREFETCH_FAILED, TYPE_PLAYLIST_ITEM_TRANSITION_FAILED, TYPE_SDK_INIT_ERROR, TYPE_SDK_NOT_INITIALIZED, TYPE_SECONDARY_DISPLAY, TYPE_TEXT_UNSUPPORTED, TYPE_TIME_OUT_ERROR, TYPE_TUNNELING_ERROR, TYPE_UNKNOWN, TYPE_UNSUPPORTED_DRM, TYPE_USER_ID_NOT_PROVIDED, TYPE_VIDEO_BLOCKLIST_FAILED, TYPE_VIDEO_DECODER_INITIALIZATION, TYPE_VIDEO_DECRYPTION_ERROR, TYPE_VIDEO_UNSUPPORTED, URL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilterException`
  `create(int mediaType, int reason, String message)`
  Create the `FilterException` object

  ### Methods inherited from class com.castlabs.android.player.exceptions.CastlabsPlayerException

  `createError, createError, createError, createFatal, createFatal, createFatal, getCauseMessage, getDrmTodayTraceId, getErrorData, getInteger, getSeverity, getString, getType, log, toString, typeString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reason

    public final int reason
    Bit-set of `SdkConsts.FILTER_REASON_BLACKLISTED`, `SdkConsts.FILTER_REASON_NO_CODEC`, `SdkConsts.FILTER_REASON_HD_NOT_PERMITTED` and `SdkConsts.FILTER_REASON_EXCEED_MAX_PIXELS`

- ## Method Details

  - ### create

    @NonNull public static FilterException create(int mediaType, int reason, @Nullable String message)
    Create the `FilterException` object
    Parameters:
      `mediaType` - the media type
      `reason` - the filter reason
      `message` - the message or null
    Returns:
      the `FilterException` object